--this example lua will let you know what vars indicate what objects can be dammaged by Spyro via his flames or charge moves
--all you really need to do is table.insert your MT_ thing into the relevant vars
--skin name strings are also acceptable and are used for player skins (don't forget to wrap the name in "quotes" cuz strings yo)

if N1024_SPYRO --this var indicates the presence of spyro
then

     --enemies/objects that can be flamed (LEGACY)
	 --only really usefull if you're targetting an older version of the mod for some reason, 3.0 and newer have no real need for this table
     table.insert(flammableEnemies, MT_YOUR_FLAMMABLE_OBJ_HERE1) --example only, all these objs don't normally exist :P
	 table.insert(flammableEnemies, MT_FLAMMABLETHING2)
	 table.insert(flammableEnemies, MT_ETC)
	 table.insert(flammableEnemies, "legacyflammableskin")


     --enemies/objects that cannot be flammed, will play a ping sound if you try
     table.insert(nonflammableEnemies, MT_YOUR_FIREPROOF_OBJ_HERE)
	 table.insert(nonflammableEnemies, MT_ETC)
	 table.insert(nonflammableEnemies, "fireproofplayerskin")
	 
	 --enemies/objects that cannot be zapped, will play a ping sound if you try
	 table.insert(nonzappableEnemies, MT_GROUNDED_OBJ_HERE)
	 table.insert(nonzappableEnemies, MT_ETC)
	 table.insert(nonzappableEnemies, "nonzappableskin")

    --enemies/objects that can be charged into (LEGACY)
	--only really usefull if you're targetting an older version of the mod for some reason, 3.0 and newer have no real need for this table
    table.insert(chargeableEnemies, MT_YOUR_CHARGEABLE_OBJ_HERE)
	table.insert(chargeableEnemies, MT_ETC)
	table.insert(chargeableEnemies, "playersarealreadychargeablesodontbother")
	
	--enemies/objects that cannot be charged into (3.3+)
    table.insert(nonchargeableEnemies, MT_YOUR_CHARGEABLE_OBJ_HERE)
	table.insert(nonchargeableEnemies, MT_ETC)
	table.insert(nonchargeableEnemies, "someplayersarealreadynotchargeablesodontbother")

    --enemies/objects that will recoil spyro with a bonk when charged into, doesn't necessarily mean the enemy cannot be damaged though..
    --if the enemy is in the 'chargeableEnemies' table it can still be damaged
	--but will still bonk spyro after the final hit rather than letting him charge through
	--spyro will still also go through without bonking if he is supercharging
	--PLAYERS USING A SKIN IN THIS TABLE WILL NOT BE HARMED BY SPYRO'S CHARGE ATTACK (unless if spyro is supercharging)
    table.insert(chargeableBonk, MT_YOUR_BONKABLE_OBJ_HERE)
	table.insert(chargeableBonk, MT_MULTIHIT_BUT_STILL_BONKABLE)
	table.insert(chargeableBonk, MT_BIGBOI1)
	table.insert(chargeableBonk, MT_ETC)
	table.insert(chargeableBonk, "bigboi")
 end